
QGIS Application - Bug report #21559

QGIS crashes when opening 3D view

2019-03-11 03:42 PM - Ed Hudspeth

Status: Closed

Priority: High

Assignee:

Category: 3D

Affected QGIS version:3.6.0 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:Yes Copied to github as #: 29375

Description

I'm using 3D view as expected with a number of layers and a DTM.

In layer properties for one of the points layers (shapefile), I enable 3D view (changing "no symbol" to "single symbol") and if the 3D view is

still open, QGIS crashes when I hit OK. If I've closed the 3D view, QGIS behaves normally on hitting OK, until I open a new 3D view, then

it crashes.

Report Details

Crash ID: 8dc0428dff9b84d410ef7c734ff3867beeb0eea0

Stack Trace

DrvSetLayerPaletteEntries :

DrvSetLayerPaletteEntries :

DrvSetLayerPaletteEntries :

DrvSetLayerPaletteEntries :

DrvSetLayerPaletteEntries :

DrvSetLayerPaletteEntries :

DrvSetLayerPaletteEntries :

DrvSetLayerPaletteEntries :

QOpenGLFunctions_3_3_Compatibility::glDrawElementsInstancedBaseVertex :

Qt3DRender::Render::Renderer::performDraw :

Qt3DRender::Render::Renderer::executeCommandsSubmission :

Qt3DRender::Render::Renderer::submitRenderViews :

Qt3DRender::Render::Renderer::doRender :

Qt3DRender::Render::Renderer::render :

Qt3DRender::Render::AbstractRenderer::~AbstractRenderer :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.0-Noosa

QGIS code revision: commit:58734527ab

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0
Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Duplicates QGIS Application - Bug report # 17416: Crash on enabling 3D render... Open 2017-11-07

History

#1 - 2019-03-11 04:02 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

- Regression? changed from Yes to No

Please attach sample data/project.

#2 - 2019-03-11 04:13 PM - Ed Hudspeth

This happens with any point data. No height data needed to crash it.

#3 - 2019-03-11 04:29 PM - Giovanni Manghi

Ed Hudspeth wrote:

This happens with any point data. No height data needed to crash it.

can't replicate. Does it happens also on other machines?

#4 - 2019-03-13 11:51 AM - Ed Hudspeth

Yes on multiple machines.

In a new blank project, create a temporary scratch layer (point), create and save the point.

3D view works fine until the 3D renderer in layer properties is enabled. Then QGIS crashes.

#5 - 2019-03-13 12:07 PM - Giovanni Manghi

Ed Hudspeth wrote:

Yes on multiple machines.

In a new blank project, create a temporary scratch layer (point), create and save the point.

3D view works fine until the 3D renderer in layer properties is enabled. Then QGIS crashes.
can you please attach a sample project+data, thanks.

#6 - 2019-03-13 03:00 PM - Ed Hudspeth

- File 3d.zip added

Attached.

#7 - 2019-03-13 03:07 PM - Giovanni Manghi

Ed Hudspeth wrote:

Attached.

no crash here (linux, 3.6, Intel video card).

#8 - 2019-03-13 03:48 PM - Martin Dobias

- Duplicates Bug report #17416: Crash on enabling 3D renderer for point layer added

#9 - 2019-03-13 03:51 PM - Martin Dobias

- Resolution set to duplicate

This is a duplicate of #17416 - unfortunately this seems specific to Windows and a particular driver for Intel graphics cards. The crash is triggered from

inside Qt 3D code so I am afraid there's little we can do about this in QGIS code.

#10 - 2019-03-13 03:51 PM - Martin Dobias

- Status changed from Feedback to Closed

#11 - 2019-03-13 05:17 PM - Giovanni Manghi

- Resolution changed from duplicate to up/downstream

Files

3d.zip 9.39 KB 2019-03-13 Ed Hudspeth
